
#import <Cocoa/Cocoa.h>


@interface RegistrationPreferences : NSObject {
	
	IBOutlet NSView* unregisteredView;
	IBOutlet NSView* registeredView;
	
	int unregisteredViewHeight;
	int registeredViewHeight;
	
	IBOutlet NSTextField* nameField;
	IBOutlet NSTextField* codeField;
	
	IBOutlet NSImageView *confirmationImageView;
}

- (id)init;
+ (RegistrationPreferences *)sharedController;

- (void)awakeFromNib;

#pragma mark View Size
- (int)getViewSize;
- (NSView *)currentView;

#pragma mark Show Website
- (IBAction)openWebsite:(id)sender;

#pragma mark Text Field Delegate
- (void)controlTextDidChange:(NSNotification *)aNotification;

#pragma mark Registration Preferences
- (void)setRegistrationPreferences;

@end
